/**
Theme Name: Szegi_vendeghaz_astra_child
Author: Hollósy Réka
Author URI: http://wpastra.com/about/
Description: Astra child theme a Szegi vendégház weboldalához
Version: 1.0.3
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: szegi_vendeghaz_astra_child
Template: astra
*/

/* === MENÜ === */
/*-
.site-title a, .site-title a:focus, .site-title a:hover, .site-title a:visited {
    font-family: "Cormorant Garamond", serif !important;
	font-weight: 400;
	font-style: Regular;
	font-size: 24px!important;
	line-height: 40px!important;
	vertical-align: middle;
	text-transform: uppercase!important;
	color:var(--e-global-color-88dd7d3)!important;

}

.menu-item a {
    color: var(--e-global-color-88dd7d3)!important;
}

.menu-item a:hover{
    color: var(--e-global-color-secondary)!important;
}

.ast-primary-header-bar {
    background-color: var(--e-global-color-f864091);
    border-bottom: 1px solid color-mix(in srgb, var(--e-global-color-88dd7d3), transparent 90%) !important;
	height:81px;
}

.site-header .ast-custom-button{
	font-family: Plus Jakarta Sans;
font-weight: 600;
font-style: Semi Bold;
font-size: 12px;
line-height: 16px;
letter-spacing: 1.2px;
text-align: center;
vertical-align: middle;
text-transform: uppercase;
	background-color: var(--e-global-color-88dd7d3);
	color: var(--e-global-color-primary);
	transition: 0.3s ease;
}

.site-header .ast-custom-button:hover{
	background-color: var(--e-global-color-secondary);
	font-weight:800;
}

.ast-header-button-1[data-section*="section-hb-button-"] .ast-builder-button-wrap .ast-custom-button {
    padding:10px 24px;
}

.mobile-menu-toggle-icon .ast-mobile-svg {
    fill: var(--e-global-color-88dd7d3)!important;
}
/*

/*gombok */


.elementor-button:hover {
    -webkit-transition: all 3s ease !important;
    -moz-transition: all 3s ease !important;
    transition: all 3s ease !important;
}

/*Főoldal galéria*/
/*

.szegi_custom_gallery .elementor-gallery__container {
    grid-template-columns: 1.4fr 1fr 1fr !important;
    grid-template-rows: 280px 280px 280px !important; 
}


.szegi_custom_gallery .elementor-gallery-item:nth-child(1) {
    grid-column: 1 / 2 !important;
    grid-row: 1 / 3 !important;
}

.szegi_custom_gallery .elementor-gallery-item:nth-child(6) {
    grid-column: 1 / 2 !important;
    grid-row: 3 / 4 !important; 
	
}


.szegi_custom_gallery .elementor-gallery-item {
    position: relative;
    overflow: hidden;
}


.szegi_custom_gallery .e-gallery-image{
	height:100%;
	width:100%;
	object-position: center center !important;
	object-fit: cover;

}

.szegi_custom_gallery .elementor-gallery-item__content {
    display: flex;
    flex-direction: column;
    justify-content: end;
	align-items: flex-start !important;
	text-align:start;
}



.szegi_custom_gallery .elementor-gallery-item__title {
    margin: 0 !important;
}


.szegi_custom_gallery .elementor-gallery-item__title {
    opacity: 1 !important;
    visibility: visible !important;
    transform: translateY(0) !important; 
    display: block !important;
}


.szegi_custom_gallery .elementor-gallery-item:not(:hover) .elementor-gallery-item__overlay {
    opacity: 1 !important;
}

/* RESZPONZÍV NÉZET */
/*
@media (max-width: 921px) {
	.ast-builder-menu-mobile .main-navigation .main-header-menu{
		background-color:var(--e-global-color-88dd7d3)
			color:var(--e-global-color-accent)
	}
	
.menu-item a{
		color:var(--e-global-color-primary)!important;
	}
	}

@media (max-width: 767px) {
    .szegi_custom_gallery .elementor-gallery__container {
        grid-template-columns: 1fr !important; 
        grid-template-rows: auto !important;    
    }

    .szegi_custom_gallery .elementor-gallery-item:nth-child(1),
    .szegi_custom_gallery .elementor-gallery-item:nth-child(6) {
        grid-column: auto !important;
        grid-row: auto !important;
    }
    
    .szegi_custom_gallery .elementor-gallery-item {
        height: 250px !important; 
    }
}

